<?php
/**
* アノテーション例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_AnnotaionException extends charcoal_Exception
{
	public function __construct( $field_name, $annotaion_name, $message )
	{
		$msg = "[field name] $field_name";
		$msg .= "[annotaion name] $annotaion_name";
		if ( $message ){
			$msg .= " [message] $message";
		}

		parent::__construct( $msg );
	}

}
